package cn.com.ty.lift.system.banner.controller;


import cn.com.ty.lift.system.banner.dao.entity.BannerImage;
import cn.com.ty.lift.system.banner.service.impl.BannerImageServiceImpl;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * banner图管理 前端控制器
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-31
 */
@RestController
@AllArgsConstructor
@RequestMapping("/banner")
public class BannerImageController {
    private final BannerImageServiceImpl bannerService;

    @PostMapping("/list")
    public RestResponse list(@RequestBody BannerImage banner) {
        return bannerService.banners(banner);
    }

    @PostMapping("/add")
    public RestResponse add(@RequestBody BannerImage bannerImage) {
        return bannerService.modify(bannerImage);
    }

    @PostMapping("/modify")
    public RestResponse modify(@RequestBody BannerImage bannerImage) {
        return bannerService.modify(bannerImage);
    }

    @PostMapping("/delete")
    public RestResponse delete(@RequestBody BannerImage bannerImage) {
        return bannerService.delete(bannerImage);
    }

    @PostMapping("/upFile")
    public RestResponse upFile(@RequestParam MultipartFile file) {
        return bannerService.upFile(file);
    }
}